--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: totally shutdown and respawn the bot
full_name: Irc::Bot#restart
is_singleton: false
name: restart
params: (message=nil)
visibility: public
